org.apache.felix.ipojo.parser

## Class ParseUtils

- java.lang.Object
- - org.apache.felix.ipojo.parser.ParseUtils

    public final class ParseUtils
    extends java.lang.Object

Parser Utility Methods. This class contains helper method to parse iPOJO metadata.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ParseUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String[]` `parseArrays(java.lang.String str)` Parses the iPOJO string form of an array as {a, b, c} or [a, b, c].
`static java.util.List<java.lang.String>` `parseArraysAsList(java.lang.String str)` Parses the string form of an array as {a, b, c} or [a, b, c] as a list.
`static java.lang.String[]` `split(java.lang.String toSplit, java.lang.String separator)` Split method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParseUtils

    public ParseUtils()

### Method Detail

#### parseArrays

    public static java.lang.String[] parseArrays(java.lang.String str)

Parses the iPOJO string form of an array as {a, b, c} or [a, b, c].

Parameters:
  `str` - the string form
Returns:
  the resulting string array

#### parseArraysAsList

    public static java.util.List<java.lang.String> parseArraysAsList(java.lang.String str)

Parses the string form of an array as {a, b, c} or [a, b, c] as a list.

Parameters:
  `str` - the string form
Returns:
  the resulting list

#### split

    public static java.lang.String[] split(java.lang.String toSplit,
                                           java.lang.String separator)

Split method. This method is equivalent of the String.split in java 1.4 The result array contains 'trimmed' String

Parameters:
  `toSplit` - the String to split
  `separator` - the separator
Returns:
  the split array